# Extract from DOT

Use this extractor for `.dot` files. It can extract page renders into a ZIP result.

## Quick reference

| Field | Value |
| --- | --- |
| Source file type | `.dot` |
| Source group | Documents |
| Submit endpoint | `POST https://api.tools.fast/extract` |
| Estimate endpoint | `POST https://api.tools.fast/extract/estimate/dot` |
| Result | ZIP download |
| Default capabilities | `word.pages` |
| Max file size | free: 50 MB; pro: 2048 MB |
| Document limits | free: 2000 document units; pro: 2000 document units |
| Duration limits | Not applicable |

## Capabilities

| Capability | Default | Options | Pricing | Description |
| --- | --- | --- | --- | --- |
| `word.pages` | Yes | None | Included | Page snapshots ready to skim without opening the document. |

## Options payload with all capabilities

Use this shape when you want to explicitly configure every supported output for this source type.

```json
{
  "extraction": {
    "selectedCapabilities": [
      "word.pages"
    ],
    "includeManifest": true
  }
}
```

## Estimate example

```bash
curl -sS -X POST "https://api.tools.fast/extract/estimate/dot" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "fileSizeMb": 10,
  "pageCount": 12,
  "options": {
    "extraction": {
      "selectedCapabilities": [
        "word.pages"
      ],
      "includeManifest": true
    }
  }
}'
```

## Extract example with all options configured

```bash
curl -sS -X POST "https://api.tools.fast/extract" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@input.dot" \
  -F 'options={
  "extraction": {
    "selectedCapabilities": [
      "word.pages"
    ],
    "includeManifest": true
  }
}'
```

## Machine-readable discovery

```http
GET /options/dot
GET /extractors/dot
```
